aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-sys-syslog
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 13:57:44 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 13:57:44 +0000
commit6d132b5b378ec9b357cdeb8014fe0b681b14cde6 (patch)
tree1ed051fa16576bfeb2274f9029b9df514b6c3f44 /community/perl-sys-syslog
parent634ff1de22f5b17daf1a530fce6c43bb0ba52ac4 (diff)
downloadaports-6d132b5b378ec9b357cdeb8014fe0b681b14cde6.tar.gz
aports-6d132b5b378ec9b357cdeb8014fe0b681b14cde6.tar.bz2
aports-6d132b5b378ec9b357cdeb8014fe0b681b14cde6.tar.xz
community/perl-sys-syslog: moved from testing, upgrade to 0.35
Diffstat (limited to 'community/perl-sys-syslog')
-rw-r--r--community/perl-sys-syslog/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/community/perl-sys-syslog/APKBUILD b/community/perl-sys-syslog/APKBUILD
new file mode 100644
index 0000000000..b5534fdac2
--- /dev/null
+++ b/community/perl-sys-syslog/APKBUILD
@@ -0,0 +1,39 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-sys-syslog
+_pkgreal=Sys-Syslog
+pkgver=0.35
+pkgrel=0
+pkgdesc="Perl interface to the UNIX syslog(3) calls"
+url="http://search.cpan.org/dist/Sys-Syslog/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-test-pod perl-test-pod-coverage"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SA/SAPER/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="59dfb279f78a5ff587ba2ee8989b13e8 Sys-Syslog-0.35.tar.gz"
+sha256sums="fe28e47b70b77aaae754385fe1470d174289e7b6908efa247d2e52486516fbb7 Sys-Syslog-0.35.tar.gz"
+sha512sums="94f35e3008e1f01af7c02f4672c0b85fb9d92bd51ecddbd064d08e6fc81a203aef7655386174e6b38814b1500a21553324985fe169e3dc8d8b9829590bceffc9 Sys-Syslog-0.35.tar.gz"